Bug 137834 - anaconda segfaults
Summary: anaconda segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-11-01 21:50 UTC by Bill Nottingham
Modified: 2014-03-17 02:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 10:04:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm diffs between -13 and -20 (4.36 KB, patch)
2004-11-01 22:06 UTC, Bill Nottingham
no flags Details | Diff
the patch (424 bytes, patch)
2004-11-02 02:44 UTC, Bill Nottingham
no flags Details | Diff

Description Bill Nottingham 2004-11-01 21:50:09 UTC
anaconda[318]: segfault at 0000000000000060 rip 0000002a95e03052 rsp
0000007fbfffd8b0 error 4

Or, on another box:

anaconda[332]: segfault at 00000000003f9065 rip 0000002a95e02fec rsp
0000007fbfffd8d0 error 4

According to tty 3:

moving (I1) to step installpackages
setting file_context_path to
/etc/selinux/targeted/contexts/files/file_contexts

Comment 1 Bill Nottingham 2004-11-01 22:06:08 UTC
Created attachment 106050 [details]
rpm diffs between -13 and -20

Here's the rpm changes between -13 and -20, just for reference.

poptI.c and psm.c look obviously safe.

Which leaves rpmts-py.c (#137116) and lib/formats.c (#135389)

Comment 2 Bill Nottingham 2004-11-01 22:23:35 UTC
Note - the rpmIncreaseVerbosity needs to go away.

Comment 3 Bill Nottingham 2004-11-01 22:26:52 UTC
Erm, bug 135859 is the lib/formats.c bug fixed, just for reference.

Comment 4 Bill Nottingham 2004-11-01 22:33:54 UTC
Happens on i386 too.

Comment 5 Bill Nottingham 2004-11-02 02:27:10 UTC
And, your backtrace is....

Program received signal SIGSEGV, Segmentation fault
0xb7eb7dec in pthread_mutex_lock () from /lib/libpthread.so.0
(gdb) bt
#0 0xb7eb7dec in pthread_mutex_lock () from /lib/libpthread.so.0
#1 0xb7eba94e in flockfile () from /lib/libpthread.so.0
#2 0xb7dc2d26 in fputs () from /lib/libc.so.6
#3 0xb795a523 in rpmlogSetFile () from /usr/lib/librpmio-4.3.so
...

Comment 6 Bill Nottingham 2004-11-02 02:42:09 UTC
... annnd, in fact, removing the rpmIncreaseVerbosity calls gets rid
of the segfault. Will add a patch to the FC3 branch in package cvs;
Jeff, you probably want to hit CVS with the fix.

Comment 7 Bill Nottingham 2004-11-02 02:44:19 UTC
Created attachment 106056 [details]
the patch

Comment 8 Bill Nottingham 2004-11-02 03:07:51 UTC
4.3.2-21 built.

Comment 9 Jeff Johnson 2004-11-02 10:04:44 UTC
iAdded to CVS. Thanks for the patch, apologies for the bother.


Note You need to log in before you can comment on or make changes to this bug.